## gpustat 0.6.0

=== requirements.txt ===
six>=1.7
nvidia-ml-py; python_version <= '2.7'
nvidia-ml-py3; python_version >= '3.0'
psutil
blessings>=1.6

## gpustat 0.5.0

=== debian/changelog ===
gpustat (0.5.0-2) unstable; urgency=medium

  * Team upload
  * Add missing build-dependencies
  * Add debian/clean to avoid FTBFSx2

 -- Graham Inggs <ginggs@debian.org>  Thu, 11 Apr 2019 09:50:02 +0000

gpustat (0.5.0-1) unstable; urgency=low

  * Initial release. (Closes: #924647)

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 16 Mar 2019 02:15:32 +0000

=== debian/control ===
Source: gpustat
Section: contrib/admin
Homepage: https://github.com/wookayin/gpustat
Priority: optional
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/nvidia-team/gpustat.git
Vcs-Browser: https://salsa.debian.org/nvidia-team/gpustat
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-blessings,
               python3-psutil,
               python3-pynvml,
               python3-pytest-runner,
               python3-setuptools,
               python3-six,

Package: gpustat
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: pretty nvidia device monitor
 Just less than nvidia-smi?
 .
 NOTE: This works with NVIDIA Graphics Devices only, no AMD support as of now.

## gpustat 0.6.0

=== debian/changelog ===
gpustat (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 22 Aug 2019 06:01:22 +0000

gpustat (0.5.0-3) unstable; urgency=medium

  * Add missing runtime deps python3-pkg-resources. (Closes: #927301)
    Although this might be a dh-python bug, let's fixup the superficial
    problem first.
  * Add the watch file.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 19 Apr 2019 02:21:20 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 Package: gpustat
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
 Description: pretty nvidia device monitor
  Just less than nvidia-smi?
  .

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gpustat-$1.tar.gz%" \
https://github.com/wookayin/gpustat/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## gpustat 1.0.0

=== debian/changelog ===
gpustat (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Add new python3 dependencies for testing.
    + Require B-D: nvidia-ml-py (python3-pynvml) >= 11.450.129.
  * Apply wrap-and-sort.
  * Update my email address.
  * Bump debhelper compat level to 13.

 -- Mo Zhou <lumin@debian.org>  Wed, 28 Sep 2022 10:49:04 -0400

=== debian/control ===
Source: gpustat
Section: contrib/admin
Homepage: https://github.com/wookayin/gpustat
Priority: optional
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/nvidia-team/gpustat.git
Vcs-Browser: https://salsa.debian.org/nvidia-team/gpustat
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-blessed,
               python3-blessings <!nocheck>,
               python3-mockito <!nocheck>,
               python3-psutil,
               python3-pynvml (>= 11.450.129),
               python3-pytest <!nocheck>,
               python3-pytest-runner,
               python3-setuptools,
               python3-six

Package: gpustat
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
Description: pretty nvidia device monitor
 Just less than nvidia-smi?
 .
 NOTE: This works with NVIDIA Graphics Devices only, no AMD support as of now.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ -Spybuild --with python3

## gpustat 1.1.1

=== requirements.txt ===
# All required dependencies must be specified in setup.py, not here.
#
# This file lists additional packages that will be installed (BEFORE setup.py)
# in the python environment (e.g. Travis CI; see .travis.yml).

# vim: set ft=conf:

=== debian/changelog ===
gpustat (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1

 -- Mo Zhou <lumin@debian.org>  Fri, 29 Dec 2023 22:27:53 -0500

gpustat (1.1-1) unstable; urgency=medium

  * Team upload.

  [ Mo Zhou ]
  * New upstream version 1.1

  [ Andreas Beckmann ]
  * Set Rules-Requires-Root: no.
  * Add upstream metadata.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 08 Nov 2023 11:49:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: contrib/admin
 Homepage: https://github.com/wookayin/gpustat
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/nvidia-team/gpustat.git
 Vcs-Browser: https://salsa.debian.org/nvidia-team/gpustat
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
@@ -18,7 +18,9 @@
                python3-pytest <!nocheck>,
                python3-pytest-runner,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-six
+Rules-Requires-Root: no
 
 Package: gpustat
 Architecture: all

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gpustat-$1.tar.gz%" \
https://github.com/wookayin/gpustat/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
